跳转到主要内容
系统管理/统一认证服务器相关接口
GETSingle Sign-On Server Interfaces起始版本 4.3.0同步需要认证

查询统一认证用户来源绑定关系

查询统一认证用户来源绑定关系

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

此接口无需请求参数。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • successboolean必填

    API是否成功

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoriesList必填

    详情参考inventories

    • idLong必填

      唯一标示该关系

    • credentialsString必填

      导入源使用的用户唯一标识,例如LDAP源导入的用户则为登录使用的UID

    • accountSourceUuidString必填

      导入源服务器UUID

    • accountUuidString必填

      账户UUID

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

请求地址

GET/zstack/v1/account-import/bindings

/zstack/v1/account-import/bindings

操作 ID

QueryThirdPartyAccountSourceBinding

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/account-import/bindings' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "inventories": [ { "id": 1, "credentials": "ou\u003dEmployee,uid\u003dtest", "accountSourceUuid": "617cef7cda233b559d134245cf8211d5", "accountUuid": "f29adf4e230831f3b34f4d4bf7cfa1dc" } ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史